> For the complete documentation index, see [llms.txt](https://docs.openwowi.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.openwowi.de/schnittstelle-v1.x/dokumente-und-medien/medien-lesen.md).

# Medien lesen

{% hint style="danger" %}
Die Endpunkte der Version 1.2 sind momentan in der Entwicklung und können noch Änderungen erfahren.
{% endhint %}

## Metadaten von Medien abrufen

Den "entityName" können Sie dem Katalog "MediaEntity" entnehmen.

#### Version 1.2

***

{% openapi src="<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>" path="/openwowi/v1.2/MediaRead/{entityName}/MediaData" method="get" %}
<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>
{% endopenapi %}

***

## Binärdatei abrufen

<details>

<summary>Weitere Hinweise zur Funktion</summary>

Die Daten werden über die entsprechende FileGuid abgerufen. Für die Übertragung wurden die Dateien nach dem Base64-Verfahren encodiert. Weitere Informationen finden Sie auf der Seite "[Dokumente und Medien](/schnittstelle-v1.x/dokumente-und-medien.md)".

</details>

#### Version 1.2

***

{% openapi src="<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>" path="/openwowi/v1.2/MediaRead/{entityName}/MediaContent/{fileGuid}" method="get" %}
<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>
{% endopenapi %}

***

## Thumbnails abrufen

Die FileId des Thumbnails wird in den Metadaten gesondert angegeben und ist nicht identisch mit den Daten der Ursprungsdatei.

#### Version 1.2

***

{% openapi src="<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>" path="/openwowi/v1.2/MediaRead/{entityName}/MediaThumbnailContent/{fileGuid}" method="get" %}
<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>
{% endopenapi %}

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.openwowi.de/schnittstelle-v1.x/dokumente-und-medien/medien-lesen.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
